using System;

namespace NuSoft.ExpressionEditor.Common.Interfaces
{
    /// <summary>
    /// Parsing result interface. 
    /// </summary>
    public interface IParsingResult
    {
        /// <summary>
        /// Gets whether parser encountered any errors. 
        /// </summary>
        bool HasError { get; }

        /// <summary>
        /// Gets parsing result. 
        /// </summary>
        object Result { get; }

        /// <summary>
        /// Gets error information. 
        /// </summary>
        string ErrorInfo { get; }
    }
}