﻿using Nemerle;
using Nemerle.Collections;
using Nemerle.Text;
using Nemerle.Utility;
using NuSoft.ExpressionEditor.Common.Interfaces;

using System;
using System.Collections.Generic;
using System.Linq;

namespace NuSoft.ExpressionEditor.ExampleParser
{
  /// <summary>
  /// Description of MathParserResult.
  /// </summary>
  public class MathParserResult:IParsingResult
  {
      errorInfo:string;
      result:int;
      public this(result:int,errorInfo:string){
          this.errorInfo=errorInfo;
          this.result=result;
      }
      public ErrorInfo:string{
          get{this.errorInfo}
      }
      
      public Result:object{
          get{this.result}
      }
      
      public HasError:bool{
          get{this.errorInfo!=null}
      }
  }
}
