﻿using Nemerle;
using Nemerle.Collections;
using Nemerle.Text;
using Nemerle.Utility;

using System;
using System.Collections.Generic;
using System.Linq;
using NuSoft.ExpressionEditor.Common.Interfaces;

namespace NuSoft.ExpressionEditor.ExampleParser
{
  /// <summary>
  /// Description of SupportedMethod.
  /// </summary>
  public class SupportedMethod : ISupportedMethod
  {
      display:string;
      insert:string;
      hint:string;
      public this(display:string, insert:string, hint:string){
          this.display=display;
          this.insert=insert;
          this.hint=hint;
      }
      
      public Display:string { get{this.display} }
      public Insert:string { get{this.insert} }
      public Hint:string { get{this.hint} }
  }
}
