﻿using System;
using System.Linq;

namespace NuSoft.ExpressionEditor.Common.Attributes
{
    /// <summary>
    /// Marks if property should be selectable in <see cref="T:NuSoft.ExpressionEditor.ExpressionEditor.SourceProps"/>. 
    /// </summary>
    [AttributeUsage(AttributeTargets.Property, AllowMultiple = false, Inherited = true)]
    public class SourcePropertyAttribute : Attribute
    {
    }
}