namespace NuSoft.ExpressionEditor.Common.Interfaces
{
    /// <summary>
    /// Supported method interface. 
    /// </summary>
    public interface ISupportedMethod
    {
        /// <summary>
        /// Gets methods display name. 
        /// </summary>
        string Display { get; }

        /// <summary>
        /// Gets method insert value. 
        /// </summary>
        string Insert { get; }

        /// <summary>
        /// Gets method hint. 
        /// </summary>
        string Hint { get; }
    }
}